Summary: Utilities for monitoring process activities.
Name: psacct
Version: 6.3.2
Release: 6tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/acct/acct-%{version}.tar.gz
Source1: psacct.logrotate
Buildroot: /var/tmp/%{name}-root
Requires: logrotate

%description
The psacct package contains several utilities for monitoring process
activities, including ac, lastcomm, accton and sa.  The ac command
displays statistics about how long users have been logged on.  The
lastcomm command displays information about previous executed commands.
The accton command turns process accounting on or off.  The sa command
summarizes information about previously executed commmands.

Install the psacct package if you'd like to use its utilities for
monitoring process activities on your system.

%prep
%setup -q -n acct-%{version}

%build
./configure --prefix=%{_prefix} \
	--mandir=%{_mandir}
sed -e "s/\/\* #undef HAVE_LINUX_ACCT_H \*\//#define HAVE_LINUX_ACCT_H/" config.h > config.h.new
mv -f config.h.new config.h

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/share/man/man{1,8},var/log,etc/logrotate.d}

make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir} install
install -m 644 $RPM_SOURCE_DIR/psacct.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/psacct

( cd $RPM_BUILD_ROOT
# move accton to /sbin -- leave historical symlink
  mv ./usr/sbin/accton ./sbin/accton
  ln -s ../../sbin/accton ./usr/sbin/accton

  :> ./var/log/pacct
  :> ./var/log/usracct
  :> ./var/log/savacct
)


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0600,root,root)	%config /var/log/pacct
%attr(0600,root,root)	%config /var/log/usracct
%attr(0600,root,root)	%config /var/log/savacct
%attr(0644,root,root)	%config /etc/logrotate.d/psacct
/sbin/accton
/usr/sbin/accton
/usr/sbin/sa
/usr/sbin/dump-utmp
/usr/sbin/dump-acct
/usr/bin/ac
/usr/bin/lastcomm
/usr/share/man/man1/ac.1*
/usr/share/man/man1/lastcomm.1*
/usr/share/man/man8/sa.8*
/usr/share/man/man8/accton.8*

%changelog
* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 6.3.2-4tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 6.3.2-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 6.3.2-2em
- Rebuilt against glibc 2.3.2.

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 6.3.2-1ct
- New upstream version
- Removed info stuff.
- Removed patch 0 (obsolete)
- No autoconf usage.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 6.3-15dm
- rebuild for Trustix Secure Linux 2.0

* Wed Dec 20 2000 Oystein Viggen <oysteivi at trustix dot com>
- Fixed the logrotate script

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man and /usr/info to /usr/share/* for FHS compliance

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- wrap post script with reference count.

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- install-info sucks.  Still.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- #define HAVE_LINUX_ACCT_H too, so it works. :)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- accton needs to be accessible to /etc/rc.d/init.d/halt

* Fri May 08 1998 Erik Troan <ewt@redhat.com>
- install-info sucks

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 6.2 to 6.3

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
